Bug 230094 - [exp-run] Update math/py-numpy to 1.15.0
Summary: [exp-run] Update math/py-numpy to 1.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-27 23:27 UTC by Wen Heping
Modified: 2018-08-14 11:23 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
update math/py-numpy to 1.15.0 (10.93 KB, text/plain)
2018-07-27 23:28 UTC, Wen Heping
no flags Details
new patch, convert to autoplist and pytest (45.85 KB, text/plain)
2018-08-03 13:07 UTC, Wen Heping
no flags Details
some nits fixed (46.24 KB, patch)
2018-08-09 09:50 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2018-07-27 23:27:50 UTC

    
Comment 1 Wen Heping freebsd_committer 2018-07-27 23:28:58 UTC
Created attachment 195514 [details]
update math/py-numpy to 1.15.0
Comment 2 Wen Heping freebsd_committer 2018-07-27 23:29:35 UTC
Update to 1.15.0
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2018-07-30 18:42:58 UTC
Hi Wen,

isn't it time to switch this port to autoplist? It packages almost fine :)
The only error is 

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/src

if I remove pkg-plist and add autoplist into USE_PYTHON.

And it also warn about undeclared dependency upon openblas:

====> Running Q/A tests (stage-qa)
Error: /usr/local/lib/python2.7/site-packages/numpy/linalg/_umath_linalg.so is linked to /usr/local/lib/libopenblas.so.0 from math/openblas but it is not declared as a dependency

Warning: you need LIB_DEPENDS+=libopenblas.so:math/openblas


Also, since 1.15 they switched from nose to pytest, so nose dependency should be replaced.
Comment 4 Antoine Brodin freebsd_committer 2018-07-31 17:54:03 UTC
Exp-run looks fine.
Comment 5 Wen Heping freebsd_committer 2018-08-03 13:07:52 UTC
Created attachment 195815 [details]
new patch, convert to autoplist and pytest

- Update to 1.15.0
- Convert to autoplist
- Make test work
Comment 6 Wen Heping freebsd_committer 2018-08-03 13:13:13 UTC
(In reply to Ruslan Makhmatkhanov from comment #3)

1 Error: Missing: %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/src

This maybe a bug in autoplist, it mistake a directory which has only sub-directory but no file as a file.

I resolv it in a ugly way, hoping there is better way.

2 Error: /usr/local/lib/python2.7/site-packages/numpy/linalg/_umath_linalg.so is linked to /usr/local/lib/libopenblas.so.0 from math/openblas but it is not declared as a dependency

Numpy's linealg module could work well without openblas.

3 I change TEST_DEPENDS to pytest and now the test work.

rm@, would you test my new patch? If it is OK, I shall ask for another exp-run.

Thanks !

wen
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2018-08-05 15:39:28 UTC
Hello Wen,

everything is great with the new patch. I also did some basic runtime tests - all is well. Thank you!

Yes, since one of the patches from files/ was removed, I think it deserves yet another exp-run.
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2018-08-05 15:41:29 UTC
Err, one moment - TESTS option should be removed from OPTIONS_DEFINE. You switched it to implied TEST option, so TESTS is now not needed.
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2018-08-05 15:43:51 UTC
py3kplist is not needed too, because it's covered by autoplist. I now retest pk-plist with removing of py3kplist and adding back that patch from files/. Let you know soon.
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2018-08-05 15:55:50 UTC
Nevermind the files/patch-numpy_core_src_npymath_npy__math__complex.c.src part - I first thought you fixed the autoplist issue by removing of this file, but then realised that it was fixed with post-extract target. 

So, your patch is great. Two small issues are:
1. TESTS option is not needed anymore in OPTIONS_DEFINE
2. py3kplist is not needed anymore in USE_PYTHON
Comment 11 Ruslan Makhmatkhanov freebsd_committer 2018-08-05 16:05:18 UTC
3. PLIST_SUB is not needed anymore
Comment 12 Ruslan Makhmatkhanov freebsd_committer 2018-08-09 09:50:12 UTC
Created attachment 196023 [details]
some nits fixed

Here is updated patch with 1,2,3 that I mentioned earlier fixed. May I ask another exp-run?
Comment 13 wen 2018-08-10 07:43:05 UTC
(In reply to Ruslan Makhmatkhanov from comment #12)
Please go ahead.

I could only reach my FreeBSD machine until next week, would you commit it if the coming exp-run is fine ? 

Thanks you !

wen
Comment 14 Ruslan Makhmatkhanov freebsd_committer 2018-08-10 08:32:19 UTC
(In reply to wen from comment #13)
sure, thank you!
Comment 15 Ruslan Makhmatkhanov freebsd_committer 2018-08-10 08:35:28 UTC
@portmgr please do an exp-run with latest patch.
Comment 16 Antoine Brodin freebsd_committer 2018-08-13 20:29:41 UTC
Exp-run looks fine.
Comment 17 commit-hook freebsd_committer 2018-08-14 11:21:08 UTC
A commit references this bug:

Author: rm
Date: Tue Aug 14 11:20:28 UTC 2018
New revision: 477149
URL: https://svnweb.freebsd.org/changeset/ports/477149

Log:
  math/py-numpy: update to 1.15.0

  - update to 1.15
  - convert to autoplist
  - follow upstream change from nose test framework to pytest

  Release notes:
  https://github.com/numpy/numpy/releases/tag/v1.15.0

  PR:		230094
  Submitted by:	wen
  Exp-run by:     antoine

Changes:
  head/math/py-numpy/Makefile
  head/math/py-numpy/distinfo
  head/math/py-numpy/files/patch-numpy_core_src_npymath_npy__math__complex.c.src
  head/math/py-numpy/pkg-plist
Comment 18 Ruslan Makhmatkhanov freebsd_committer 2018-08-14 11:22:44 UTC
(In reply to Antoine Brodin from comment #16)
Great, thank you!
Comment 19 Ruslan Makhmatkhanov freebsd_committer 2018-08-14 11:23:02 UTC
Committed, thank you!